Bug 1119597 (CVE-2014-2490) - CVE-2014-2490 OpenJDK: Event logger format string vulnerability (Hotspot, 8037076)
Summary: CVE-2014-2490 OpenJDK: Event logger format string vulnerability (Hotspot, 803...
Status: CLOSED ERRATA
Alias: CVE-2014-2490
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20140715,repor...
Keywords: Security
Depends On:
Blocks: 1115835
TreeView+ depends on / blocked
 
Reported: 2014-07-15 06:36 UTC by Stefan Cornelius
Modified: 2019-06-08 20:06 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-21 18:59:54 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0889 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-07-16 12:49:50 UTC
Red Hat Product Errata RHSA-2014:0890 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-07-16 09:18:44 UTC
Red Hat Product Errata RHSA-2014:0902 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:39:16 UTC
Red Hat Product Errata RHSA-2014:0907 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-07-21 22:55:23 UTC

Description Stefan Cornelius 2014-07-15 06:36:45 UTC
It was discovered that the event logger contains a format string
error.  An untrusted Java application or applet could possibly use
this flaw to cause the Java Virtual Machine to crash, or, potentially,
execute arbitrary code with the privileges of the Java Virtual Machine.

Comment 1 errata-xmlrpc 2014-07-16 05:19:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0890 https://rhn.redhat.com/errata/RHSA-2014-0890.html

Comment 2 errata-xmlrpc 2014-07-16 08:50:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:0889 https://rhn.redhat.com/errata/RHSA-2014-0889.html

Comment 3 Stefan Cornelius 2014-07-16 11:52:43 UTC
Fixed now in Oracle Java SE 5u71, 6.0u81, 7.0u65, and 8.0u11
via Critical Patch Update July 2014. 

Fixed in IcedTea 1.13.4 for OpenJDK 6:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028550.html

Fixed in IcedTea 2.5.1 for OpenJDK 7:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028584.html

OpenJDK 6 Patch(es):
http://hg.openjdk.java.net/jdk6/jdk6/hotspot/rev/dd7d490e72af

OpenJDK 7 Patch(es):
http://hg.openjdk.java.net/jdk7u/jdk7u/hotspot/rev/02f12a9d5aec


External reference:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixJAVA

Comment 5 errata-xmlrpc 2014-07-18 01:47:08 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0902 https://rhn.redhat.com/errata/RHSA-2014-0902.html

Comment 6 errata-xmlrpc 2014-07-21 18:56:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:0907 https://rhn.redhat.com/errata/RHSA-2014-0907.html


Note You need to log in before you can comment on or make changes to this bug.